Bug 538547 - [abrt] crash detected in smolt-1.4-4.fc12 (UnicodeDecodeError with --help)
[abrt] crash detected in smolt-1.4-4.fc12 (UnicodeDecodeError with --help)
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: smolt (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Mike McGrath
Fedora Extras Quality Assurance
abrt_hash:3590e481
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-18 14:25 EST by Tore Anderson
Modified: 2010-02-23 00:32 EST (History)
3 users (show)

See Also:
Fixed In Version: smolt-1.4.2-1.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-23 00:32:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.21 KB, text/plain)
2009-11-18 14:25 EST, Tore Anderson
no flags Details

  None (edit)
Description Tore Anderson 2009-11-18 14:25:56 EST
abrt detected a crash.

Comment: I ran smoltSendProfile --help.  Obviously it doesn't understand the «--help» option, and barfs.
Attached file: backtrace
cmdline: /usr/bin/python /usr/bin/smoltSendProfile --help 
component: smolt
executable: /usr/bin/smoltSendProfile
kernel: 2.6.31.5-127.fc12.x86_64
package: smolt-1.4-4.fc12
uuid: 3590e481
Comment 1 Tore Anderson 2009-11-18 14:25:58 EST
Created attachment 370171 [details]
File: backtrace
Comment 2 Till Maas 2010-01-09 08:32:40 EST
Same here with LANG=de_DE.UTF-8
Workaround: LANG=C smotlSendProfile --help
Comment 3 Mike McGrath 2010-01-26 14:18:41 EST
I talked with Toshio about this.  I think we've got it fixed upstream, expect a release in the next couple of days.
Comment 4 Fedora Update System 2010-02-04 09:58:05 EST
smolt-1.4.2-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/smolt-1.4.2-1.fc12
Comment 5 Fedora Update System 2010-02-05 19:02:13 EST
smolt-1.4.2-1.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update smolt'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F12/FEDORA-2010-1529
Comment 6 Fedora Update System 2010-02-23 00:31:53 EST
smolt-1.4.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.